# Setups for an ingest kiosk

- include: system_setup.yaml
- include: account_setup.yaml

- name: Install mailutils
  become: yes
  apt:
    name: mailutils
    state: present
    update_cache: yes
    cache_valid_time: 3600
  tags:
    - kiosk_build

- name: Install Git
  become: yes
  apt:
    name: git
    state: present
    update_cache: yes
    cache_valid_time: 3600
  tags:
    - kiosk_build

- name: Create zoox system directories
  import_tasks: zoox_directories.yml
  tags:
    - kiosk_build

- name: auto-prune origin refs
  git_config: name="remote.origin.prune" value="true" scope="global"

- name: Clone driving repo
  git:
    repo: git@git.zooxlabs.com:zooxco/driving.git
    dest: "{{ driving_root }}"
    clone: yes
    version: "{{ BRANCH }}"
    update: yes
    force: yes
    accept_hostkey: yes
  tags:
    - kiosk_build
